Change Multi-Assets Mode (TRADE)
Change user's Multi-Assets mode (Multi-Assets Mode or Single-Asset Mode) on Every symbol
Change Multi-Assets Mode (TRADE) › Authorization
Change Multi-Assets Mode (TRADE) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Change Multi-Assets Mode (TRADE) › Request Body
multiAssetsMargin"true": Multi-Assets Mode; "false": Single-Asset Mode
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
recvWindowChange Multi-Assets Mode (TRADE) › Responses
Change Multi-Assets Mode
codemsgChange Position Mode (TRADE)
Change user's position mode (Hedge Mode or One-way Mode ) on EVERY symbol.
After CM migration, UM and CM share the same dualSidePosition setting. Calling this endpoint flips both UM and CM at once. If either side has any open order or open position, the change is rejected:
-4067(open orders exist)-4068(open position exists)
Change Position Mode (TRADE) › Authorization
Change Position Mode (TRADE) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Change Position Mode (TRADE) › Request Body
dualSidePosition"true": Hedge Mode; "false": One-way Mode
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
recvWindowChange Position Mode (TRADE) › Responses
Change Position Mode
codemsgAccount Trade List (USER_DATA)
Get trades for a specific account and symbol.
Account Trade List (USER_DATA) › Authorization
Account Trade List (USER_DATA) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Query Parameters
symboltimestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
orderIdMust be used together with parameter symbol.
startTimeStart time
endTimeEnd time
fromIdTrade id to fetch from. Default gets most recent trades.
limitrecvWindowAccount Trade List (USER_DATA) › Responses
Account Trade List
buyerBuyer.
commissionCommission.
commissionAssetCommission Asset.
idId.
makerMaker.
orderIdOrder Id.
pricePrice.
qtyQty.
quoteQtyQuote Qty.
realizedPnlRealized Pnl.
sideSide.
positionSidePosition Side.
symbolSymbol.
timeTime.
All Orders (USER_DATA)
Get all account orders; active, canceled, or filled.
- These orders will not be found:
- order status is
CANCELEDorEXPIREDAND order has NO filled trade AND created time + 3 days < current time - order create time + 90 days < current time
- order status is
All Orders (USER_DATA) › Authorization
All Orders (USER_DATA) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Query Parameters
symboltimestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
orderIdstartTimeStart time
endTimeEnd time
limitrecvWindowAll Orders (USER_DATA) › Responses
All Orders
avgPriceAvg Price.
clientOrderIdClient Order Id.
cumQuoteCum Quote.
executedQtyExecuted Qty.
orderIdOrder Id.
origQtyOrig Qty.
origTypeOrig Type.
pricePrice.
reduceOnlyReduce Only.
sideSide.
positionSidePosition Side.
statusStatus.
stopPriceplease ignore when order type is TRAILING_STOP_MARKET
closePositionif Close-All
symbolSymbol.
timeorder time
timeInForceTime In Force.
typeType.
activatePriceactivation price, only return with TRAILING_STOP_MARKET order
priceRatecallback rate, only return with TRAILING_STOP_MARKET order
updateTimeupdate time
workingTypeWorking Type.
priceProtectif conditional order trigger is protected
priceMatchprice match mode
selfTradePreventionModeself trading preventation mode
goodTillDateorder pre-set auot cancel time for TIF GTD order
Auto-Cancel All Open Orders (TRADE)
Cancel all open orders of the specified symbol at the end of the specified countdown.
The endpoint should be called repeatedly as heartbeats so that the existing countdown time can be canceled and replaced by a new one.
Example usage:
Call this endpoint at 30s intervals with an countdownTime of 120000 (120s). If this endpoint is not called within 120 seconds, all your orders of the specified symbol will be automatically canceled. If this endpoint is called with an countdownTime of 0, the countdown timer will be stopped.
The system will check all countdowns approximately every 10 milliseconds, so please note that sufficient redundancy should be considered when using this function. We do not recommend setting the countdown time to be too precise or too small.
Auto-Cancel All Open Orders (TRADE) › Authorization
Auto-Cancel All Open Orders (TRADE) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Auto-Cancel All Open Orders (TRADE) › Request Body
symbolcountdownTimeCountdown in milliseconds. 1000 means 1 second; 0 disables countdown cancel-all.
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
recvWindowAuto-Cancel All Open Orders (TRADE) › Responses
Auto-Cancel All Open Orders
symbolcountdownTimeQuery Algo Order (USER_DATA)
Check the status of an algo (conditional) order, such as TP/SL (Take Profit / Stop Loss) or trailing stop orders on USD-M Futures.
- These orders will not be found:
- order status is
CANCELEDorEXPIREDAND order has NO filled trade AND created time + 3 days < current time - order create time + 90 days < current time
- order status is
Query Algo Order (USER_DATA) › Authorization
Query Algo Order (USER_DATA) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Query Parameters
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
algoIdOrder ID
clientAlgoIdClient order ID
recvWindowQuery Algo Order (USER_DATA) › Responses
Algo Order
algoIdclientAlgoIdalgoTypeorderTypesymbolsidepositionSidetimeInForcequantityalgoStatusactualOrderIdEmpty string if not triggered; orderId if triggered.
actualPrice0 if not triggered; average price if filled/partially filled.
actualTypeOptional field, only present when triggered.
actualQtyOptional field, only present when filled/partially filled.
triggerPricepriceicebergQuantitytpOrderTypeselfTradePreventionModeworkingTypepriceMatchclosePositionpriceProtectreduceOnlycreateTimeupdateTimetriggerTimegoodTillDateNew Algo Order (TRADE)
Send in a new algo (conditional) order. Use this endpoint to place TP/SL (Take Profit / Stop Loss) and trailing stop orders on USD-M Futures. Supported order types under algoType=CONDITIONAL are STOP_MARKET, TAKE_PROFIT_MARKET, STOP, TAKE_PROFIT, and TRAILING_STOP_MARKET.
New Algo Order (TRADE) › Authorization
New Algo Order (TRADE) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
1 on 10s order rate limit(X-MBX-ORDER-COUNT-10S); 1 on 1min order rate limit(X-MBX-ORDER-COUNT-1M); 0 on IP rate limit(x-mbx-used-weight-1m)
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
New Algo Order (TRADE) › Request Body
algoTypesymbolsidetypetimestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
positionSideDefault BOTH for One-way Mode ; LONG or SHORT for Hedge Mode. It must be sent in Hedge Mode.
timeInForcequantityCannot be sent with closePosition=true(Close-All)
pricetriggerPriceTrigger price
workingTypepriceMatchonly avaliable for LIMIT/STOP/TAKE_PROFIT order; Can't be passed together with price
closePositionClose-All,used with STOP_MARKET or TAKE_PROFIT_MARKET.
priceProtectUsed with STOP_MARKET or TAKE_PROFIT_MARKET order. when price reaches the triggerPrice ,the difference rate between "MARK_PRICE" and "CONTRACT_PRICE" cannot be larger than the Price Protection Threshold of the symbol.'
reduceOnlyCannot be sent in Hedge Mode; cannot be sent with closePosition=true'
activatePriceUsed with TRAILING_STOP_MARKET orders, default as the latest price(supporting different workingType)
callbackRateUsed with TRAILING_STOP_MARKET orders
clientAlgoIdA unique id among open orders. Automatically generated if not sent. Can only be string following the rule: ^[\.A-Z\:/a-z0-9_-]{1,36}$
newOrderRespTypeselfTradePreventionModeEXPIRE_TAKEREXPIRE_MAKEREXPIRE_BOTHNONE
goodTillDateorder cancel time for timeInForce GTD, mandatory when timeInforce set to GTD; order the timestamp only retains second-level precision, ms part will be ignored; The goodTillDate timestamp must be greater than the current time plus 600 seconds and smaller than 253402300799000
recvWindowNew Algo Order (TRADE) › Responses
New Algo Order
algoIdclientAlgoIdalgoTypeorderTypesymbolsidepositionSidetimeInForcequantityalgoStatustriggerPricepriceicebergQuantityselfTradePreventionModeworkingTypepriceMatchclosePositionpriceProtectreduceOnlyactivatePriceTRAILING_STOP_MARKET order
callbackRateTRAILING_STOP_MARKET order
createTimeupdateTimetriggerTimegoodTillDateCancel Algo Order (TRADE)
Cancel an active algo (conditional) order, including TP/SL (Take Profit / Stop Loss) and trailing stop orders on USD-M Futures.
Cancel Algo Order (TRADE) › Authorization
Cancel Algo Order (TRADE) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Query Parameters
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
algoIdclientAlgoIdrecvWindowCancel Algo Order (TRADE) › Responses
Cancel Algo Order
algoIdclientAlgoIdcodemsgCancel All Algo Open Orders (TRADE)
Cancel all open algo (conditional) orders on a symbol, including TP/SL (Take Profit / Stop Loss) and trailing stop orders on USD-M Futures.
Cancel All Algo Open Orders (TRADE) › Authorization
Cancel All Algo Open Orders (TRADE) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Query Parameters
symboltimestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
recvWindowCancel All Algo Open Orders (TRADE) › Responses
Cancel All Algo Open Orders
codemsgCancel All Open Orders (TRADE)
Cancel All Open Orders
Cancel All Open Orders (TRADE) › Authorization
Cancel All Open Orders (TRADE) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Query Parameters
symboltimestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
recvWindowCancel All Open Orders (TRADE) › Responses
Cancel All Open Orders
codemsgModify Multiple Orders (TRADE)
Modify Multiple Orders (TRADE)
Modify Multiple Orders (TRADE) › Authorization
Modify Multiple Orders (TRADE) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
5 on 10s order rate limit(X-MBX-ORDER-COUNT-10S); 1 on 1min order rate limit(X-MBX-ORDER-COUNT-1M); 5 on IP rate limit(x-mbx-used-weight-1m);
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Modify Multiple Orders (TRADE) › Request Body
order list. Max 5 orders
orderIdorigClientOrderIdsymbolsidequantityOrder quantity, cannot be sent with closePosition=true
pricepriceMatchOnly avaliable for LIMIT/STOP/TAKE_PROFIT order; Cannot be sent together with price.
stopPricestop price, only STOP, STOP_MARKET, TAKE_PROFIT, TAKE_PROFIT_MARKET need
recvWindowValidity window in milliseconds.
timestampUnix timestamp in milliseconds.
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
recvWindowModify Multiple Orders (TRADE) › Responses
Modify Multiple Orders
orderIdsymbolpairstatusclientOrderIdpriceorigQtyexecutedQtycumQtytimeInForcetypereduceOnlyclosePositionsidepositionSidestopPriceworkingTypepriceProtectorigTypepriceMatchprice match mode
selfTradePreventionModeself trading preventation mode
goodTillDateorder pre-set auot cancel time for TIF GTD order
updateTimecodemsgPlace Multiple Orders (TRADE)
Place Multiple Orders
Place Multiple Orders (TRADE) › Authorization
Place Multiple Orders (TRADE) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
5 on 10s order rate limit(X-MBX-ORDER-COUNT-10S); 1 on 1min order rate limit(X-MBX-ORDER-COUNT-1M); 5 on IP rate limit(x-mbx-used-weight-1m);
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Place Multiple Orders (TRADE) › Request Body
order list. Max 5 orders
symbolsidepositionSideDefault BOTH for One-way Mode; LONG or SHORT for Hedge Mode.
typetimeInForcequantityreduceOnlypricenewClientOrderIdnewOrderRespTypepriceMatchonly avaliable for LIMIT/STOP/TAKE_PROFIT order; Can't be passed together with price
selfTradePreventionModeEXPIRE_TAKER
goodTillDateAuto-cancel time for GTD orders.
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
recvWindowPlace Multiple Orders (TRADE) › Responses
Place Multiple Orders
clientOrderIdClient Order Id.
cumQtyexecutedQtyExecuted Qty.
orderIdOrder Id.
origQtyOrig Qty.
pricePrice.
reduceOnlyReduce Only.
sideSide.
positionSidePosition Side.
statusStatus.
stopPriceclosePositionClose Position.
symbolSymbol.
timeInForceTime In Force.
typeType.
origTypeOrig Type.
updateTimeUpdate Time.
workingTypeWorking Type.
priceProtectif conditional order trigger is protected
priceMatchprice match mode
selfTradePreventionModeself trading preventation mode
goodTillDateorder pre-set auto cancel time for TIF GTD order
codemsgCancel Multiple Orders (TRADE)
Cancel Multiple Orders
Cancel Multiple Orders (TRADE) › Authorization
Cancel Multiple Orders (TRADE) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Query Parameters
symboltimestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
orderIdListorigClientOrderIdListrecvWindowCancel Multiple Orders (TRADE) › Responses
Cancel Multiple Orders
clientOrderIdClient Order Id.
cumQtyexecutedQtyExecuted Qty.
orderIdOrder Id.
origQtyOrig Qty.
pricePrice.
reduceOnlyReduce Only.
sideSide.
positionSidePosition Side.
statusStatus.
stopPriceplease ignore when order type is TRAILING_STOP_MARKET
closePositionif Close-All
symbolSymbol.
timeInForceTime In Force.
origTypeOrig Type.
typeType.
activatePriceactivation price, only return with TRAILING_STOP_MARKET order
priceRatecallback rate, only return with TRAILING_STOP_MARKET order
updateTimeUpdate Time.
workingTypeWorking Type.
priceProtectif conditional order trigger is protected
priceMatchprice match mode
selfTradePreventionModeself trading preventation mode
goodTillDateorder pre-set auot cancel time for TIF GTD order
codemsgQuery Order (USER_DATA)
Check an order's status.
- These orders will not be found:
- order status is
CANCELEDorEXPIREDAND order has NO filled trade AND created time + 3 days < current time - order create time + 90 days < current time
- order status is
Query Order (USER_DATA) › Authorization
Query Order (USER_DATA) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Query Parameters
symboltimestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
orderIdorigClientOrderIdrecvWindowQuery Order (USER_DATA) › Responses
Order
avgPriceAvg Price.
clientOrderIdClient Order Id.
cumQuoteCum Quote.
executedQtyExecuted Qty.
orderIdOrder Id.
origQtyOrig Qty.
origTypeOrig Type.
pricePrice.
reduceOnlyReduce Only.
sideSide.
positionSidePosition Side.
statusStatus.
stopPriceplease ignore when order type is TRAILING_STOP_MARKET
closePositionif Close-All
symbolSymbol.
timeorder time
timeInForceTime In Force.
typeType.
activatePriceactivation price, only return with TRAILING_STOP_MARKET order
priceRatecallback rate, only return with TRAILING_STOP_MARKET order
updateTimeupdate time
workingTypeWorking Type.
priceProtectif conditional order trigger is protected
priceMatchPrice Match.
selfTradePreventionModeSelf Trade Prevention Mode.
goodTillDateGood Till Date.
Modify Order (TRADE)
Order modify function, currently only LIMIT order modification is supported, modified orders will be reordered in the match queue
Modify Order (TRADE) › Authorization
Modify Order (TRADE) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
1 on 10s order rate limit(X-MBX-ORDER-COUNT-10S); 1 on 1min order rate limit(X-MBX-ORDER-COUNT-1M); 0 on IP rate limit(x-mbx-used-weight-1m)
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Modify Order (TRADE) › Request Body
symbolsidequantityOrder quantity, cannot be sent with closePosition=true
pricetimestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
orderIdorigClientOrderIdpriceMatchonly avaliable for LIMIT/STOP/TAKE_PROFIT order; Can't be passed together with price
recvWindowModify Order (TRADE) › Responses
Modify Order
orderIdsymbolpairstatusclientOrderIdpriceorigQtyexecutedQtycumQtytimeInForcetypereduceOnlyclosePositionsidepositionSidestopPriceworkingTypepriceProtectorigTypepriceMatchprice match mode
selfTradePreventionModeself trading preventation mode
goodTillDateorder pre-set auot cancel time for TIF GTD order
updateTimeNew Order (TRADE)
Send in a new order.
New Order (TRADE) › Authorization
New Order (TRADE) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
1 on 10s order rate limit(X-MBX-ORDER-COUNT-10S); 1 on 1min order rate limit(X-MBX-ORDER-COUNT-1M); 0 on IP rate limit(x-mbx-used-weight-1m)
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
New Order (TRADE) › Request Body
symbolsidetypeOrder type
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
positionSideDefault BOTH for One-way Mode ; LONG or SHORT for Hedge Mode. It must be sent in Hedge Mode.
timeInForcereduceOnlyCannot be sent in Hedge Mode
quantitypricenewClientOrderIdA unique id among open orders. Automatically generated if not sent. Can only be string following the rule: ^[\.A-Z\:/a-z0-9_-]{1,36}$
newOrderRespTypepriceMatchonly avaliable for LIMIT/STOP/TAKE_PROFIT order; Can't be passed together with price
selfTradePreventionModeEXPIRE_TAKEREXPIRE_MAKEREXPIRE_BOTHEXPIRE_MAKER
goodTillDateorder cancel time for timeInForce GTD, mandatory when timeInforce set to GTD; order the timestamp only retains second-level precision, ms part will be ignored; The goodTillDate timestamp must be greater than the current time plus 600 seconds and smaller than 253402300799000
recvWindowNew Order (TRADE) › Responses
New Order
clientOrderIdClient Order Id.
cumQtyexecutedQtyExecuted Qty.
orderIdOrder Id.
origQtyOrig Qty.
pricePrice.
reduceOnlyReduce Only.
sideSide.
positionSidePosition Side.
statusStatus.
stopPriceignored for LIMIT / MARKET orders
closePositionif Close-All
symbolSymbol.
timeInForceTime In Force.
typeType.
origTypeOrig Type.
updateTimeUpdate Time.
workingTypeWorking Type.
priceProtectif conditional order trigger is protected
priceMatchprice match mode
selfTradePreventionModeself trading preventation mode
goodTillDateorder pre-set auot cancel time for TIF GTD order
Cancel Order (TRADE)
Cancel an active order.
Cancel Order (TRADE) › Authorization
Cancel Order (TRADE) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Query Parameters
symboltimestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
orderIdorigClientOrderIdrecvWindowCancel Order (TRADE) › Responses
Cancel Order
clientOrderIdClient Order Id.
cumQtyexecutedQtyExecuted Qty.
orderIdOrder Id.
origQtyOrig Qty.
pricePrice.
reduceOnlyReduce Only.
sideSide.
positionSidePosition Side.
statusStatus.
stopPriceplease ignore when order type is TRAILING_STOP_MARKET
closePositionif Close-All
symbolSymbol.
timeInForceTime In Force.
origTypeOrig Type.
typeType.
activatePriceactivation price, only return with TRAILING_STOP_MARKET order
priceRatecallback rate, only return with TRAILING_STOP_MARKET order
updateTimeUpdate Time.
workingTypeWorking Type.
priceProtectif conditional order trigger is protected
priceMatchprice match mode
selfTradePreventionModeself trading preventation mode
goodTillDateorder pre-set auot cancel time for TIF GTD order
Change Initial Leverage (TRADE)
Change user's initial leverage of specific symbol market.
Change Initial Leverage (TRADE) › Authorization
Change Initial Leverage (TRADE) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Change Initial Leverage (TRADE) › Request Body
symbolleveragetarget initial leverage
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
recvWindowChange Initial Leverage (TRADE) › Responses
Change Initial Leverage
leverageLeverage.
maxNotionalValueMax Notional Value.
symbolSymbol.
Change Margin Type (TRADE)
Change symbol level margin type
Change Margin Type (TRADE) › Authorization
Change Margin Type (TRADE) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Change Margin Type (TRADE) › Request Body
symbolmarginTypetimestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
recvWindowChange Margin Type (TRADE) › Responses
Change Margin Type
codemsgCurrent All Algo Open Orders (USER_DATA)
Get all open algo (conditional) orders on a symbol, including TP/SL (Take Profit / Stop Loss) and trailing stop orders on USD-M Futures.
Current All Algo Open Orders (USER_DATA) › Authorization
Current All Algo Open Orders (USER_DATA) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
1 for a single symbol; 40 when the symbol parameter is omitted
Careful when accessing this with no symbol.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Query Parameters
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
algoTypesymbolalgoIdrecvWindowCurrent All Algo Open Orders (USER_DATA) › Responses
Current All Algo Open Orders
algoIdclientAlgoIdalgoTypeorderTypesymbolsidepositionSidetimeInForcequantityalgoStatusactualOrderIdactualPricetriggerPricepriceicebergQuantitytpTriggerPricetpPriceslTriggerPriceslPricetpOrderTypeselfTradePreventionModeworkingTypepriceMatchclosePositionpriceProtectreduceOnlycreateTimeupdateTimetriggerTimegoodTillDateCurrent All Open Orders (USER_DATA)
Get all open orders on a symbol.
Current All Open Orders (USER_DATA) › Authorization
Current All Open Orders (USER_DATA) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
1 for a single symbol; 40 when the symbol parameter is omitted
Careful when accessing this with no symbol.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Query Parameters
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
symbolrecvWindowCurrent All Open Orders (USER_DATA) › Responses
Current All Open Orders
avgPriceAvg Price.
clientOrderIdClient Order Id.
cumQuoteCum Quote.
executedQtyExecuted Qty.
orderIdOrder Id.
origQtyOrig Qty.
origTypeOrig Type.
pricePrice.
reduceOnlyReduce Only.
sideSide.
positionSidePosition Side.
statusStatus.
stopPriceplease ignore when order type is TRAILING_STOP_MARKET
closePositionif Close-All
symbolSymbol.
timeorder time
timeInForceTime In Force.
typeType.
activatePriceactivation price, only return with TRAILING_STOP_MARKET order
priceRatecallback rate, only return with TRAILING_STOP_MARKET order
updateTimeupdate time
workingTypeWorking Type.
priceProtectif conditional order trigger is protected
priceMatchprice match mode
selfTradePreventionModeself trading preventation mode
goodTillDateorder pre-set auot cancel time for TIF GTD order
Futures TradFi Perps Contract (USER_DATA)
Sign TradFi-Perps agreement contract
Futures TradFi Perps Contract (USER_DATA) › Authorization
Futures TradFi Perps Contract (USER_DATA) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Futures TradFi Perps Contract (USER_DATA) › Request Body
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
recvWindowFutures TradFi Perps Contract (USER_DATA) › Responses
Futures TradFi Perps Contract
codemsgGet Order Modify History (USER_DATA)
Get order modification history
Get Order Modify History (USER_DATA) › Authorization
Get Order Modify History (USER_DATA) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Query Parameters
symboltimestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
orderIdorigClientOrderIdstartTimeTimestamp in ms to get modification history from INCLUSIVE
endTimeTimestamp in ms to get modification history until INCLUSIVE
limitrecvWindowGet Order Modify History (USER_DATA) › Responses
Get Order Modify History
amendmentIdOrder modification ID
symbolpairorderIdclientOrderIdtimeOrder modification time
beforeafterbeforeaftercountOrder modification count, representing the number of times the order has been modified
Get Position Margin Change History (TRADE)
Get Position Margin Change History
Get Position Margin Change History (TRADE) › Authorization
Get Position Margin Change History (TRADE) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Query Parameters
symboltimestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
type1: Add position margin,2: Reduce position margin
startTimeStart time
endTimetime if not pass
limitrecvWindowGet Position Margin Change History (TRADE) › Responses
Get Position Margin Change History
symbolSymbol.
typeType.
deltaTypeDelta Type.
amountAmount.
assetAsset.
timeTime.
positionSidePosition Side.
Modify Isolated Position Margin (TRADE)
Modify Isolated Position Margin
Modify Isolated Position Margin (TRADE) › Authorization
Modify Isolated Position Margin (TRADE) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Modify Isolated Position Margin (TRADE) › Request Body
symbolamountMargin asset
type1: Add position margin,2: Reduce position margin
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
positionSideDefault BOTH for One-way Mode ; LONG or SHORT for Hedge Mode. It must be sent with Hedge Mode.
recvWindowModify Isolated Position Margin (TRADE) › Responses
Modify Isolated Position Margin
amountcodemsgtypePosition ADL Quantile Estimation (USER_DATA)
Position ADL Quantile Estimation
- Values update every 30s.
- Values 0, 1, 2, 3, 4 shows the queue position and possibility of ADL from low to high.
- For positions of the symbol are in One-way Mode or isolated margined in Hedge Mode, "LONG", "SHORT", and "BOTH" will be returned to show the positions' adl quantiles of different position sides.
- If the positions of the symbol are crossed margined in Hedge Mode:
- "HEDGE" as a sign will be returned instead of "BOTH";
- A same value caculated on unrealized pnls on long and short sides' positions will be shown for "LONG" and "SHORT" when there are positions in both of long and short sides.
Position ADL Quantile Estimation (USER_DATA) › Authorization
Position ADL Quantile Estimation (USER_DATA) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Query Parameters
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
symbolrecvWindowPosition ADL Quantile Estimation (USER_DATA) › Responses
Position ADL Quantile Estimation
symbolLONGadl quantile for "LONG" position in hedge mode
SHORTadl qauntile for "SHORT" position in hedge mode
HEDGEonly a sign, ignore the value
BOTHadl qunatile for position in one-way mode
Position Information V2 (USER_DATA)
Get current position information.
Position Information V2 (USER_DATA) › Authorization
Position Information V2 (USER_DATA) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Query Parameters
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
symbolrecvWindowPosition Information V2 (USER_DATA) › Responses
Position Information V2
entryPriceEntry Price.
breakEvenPriceBreak Even Price.
marginTypeMargin Type.
isAutoAddMarginisolatedMarginIsolated Margin.
leverageLeverage.
liquidationPriceLiquidation Price.
markPriceMark Price.
maxNotionalValueMax Notional Value.
positionAmtPosition Amt.
notionalisolatedWalletsymbolSymbol.
unRealizedProfitUn Realized Profit.
positionSidePosition Side.
updateTimeUpdate Time.
Position Information V3 (USER_DATA)
Get current position information(only symbol that has position or open orders will be returned).
Position Information V3 (USER_DATA) › Authorization
Position Information V3 (USER_DATA) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Query Parameters
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
symbolrecvWindowPosition Information V3 (USER_DATA) › Responses
Position Information V3
symbolsymbol
positionSideposition side
positionAmtposition amount, positive for long, negative for short
entryPriceentry price
breakEvenPricebreak-even price
markPricecurrent mark price
unRealizedProfitunrealized profit
liquidationPriceliquidation price
isolatedMarginisolated margin
notionalnotional value of position
marginAssetmargin asset
isolatedWalletisolated wallet (if isolated position)
initialMargininitial margin required with current mark price
maintMarginmaintenance margin required
positionInitialMargininitial margin required for positions with current mark price
openOrderInitialMargininitial margin required for open orders with current mark price
adlauto-deleverage ranking
bidNotionalignore
askNotionalignore
updateTimeupdate time
Query All Algo Orders (USER_DATA)
Get all algo (conditional) orders — active, CANCELED, TRIGGERED, or FINISHED — including TP/SL (Take Profit / Stop Loss) and trailing stop orders on USD-M Futures.
- These orders will not be found:
- order status is
CANCELEDorEXPIREDAND order has NO filled trade AND created time + 3 days < current time - order create time + 90 days < current time
- order status is
Query All Algo Orders (USER_DATA) › Authorization
Query All Algo Orders (USER_DATA) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Query Parameters
symbolSymbol
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
algoIdstartTimeendTimelimitrecvWindowQuery All Algo Orders (USER_DATA) › Responses
All Algo Orders
algoIdclientAlgoIdalgoTypeorderTypesymbolsidepositionSidetimeInForcequantityalgoStatusactualOrderIdactualPricetriggerPricepriceicebergQuantitytpTriggerPricetpPriceslTriggerPriceslPricetpOrderTypeselfTradePreventionModeworkingTypepriceMatchclosePositionpriceProtectreduceOnlycreateTimeupdateTimetriggerTimegoodTillDateQuery Current Open Order (USER_DATA)
Query open order
Query Current Open Order (USER_DATA) › Authorization
Query Current Open Order (USER_DATA) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Query Parameters
symboltimestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
orderIdorigClientOrderIdrecvWindowQuery Current Open Order (USER_DATA) › Responses
Current Open Order
avgPriceAvg Price.
clientOrderIdClient Order Id.
cumQuoteCum Quote.
executedQtyExecuted Qty.
orderIdOrder Id.
origQtyOrig Qty.
origTypeOrig Type.
pricePrice.
reduceOnlyReduce Only.
sideSide.
statusStatus.
positionSidePosition Side.
stopPriceplease ignore when order type is TRAILING_STOP_MARKET
closePositionif Close-All
symbolSymbol.
timeorder time
timeInForceTime In Force.
typeType.
activatePriceactivation price, only return with TRAILING_STOP_MARKET order
priceRatecallback rate, only return with TRAILING_STOP_MARKET order
updateTimeUpdate Time.
workingTypeWorking Type.
priceProtectif conditional order trigger is protected
priceMatchprice match mode
selfTradePreventionModeself trading preventation mode
goodTillDateorder pre-set auot cancel time for TIF GTD order
Test Order (TRADE)
Testing order request, this order will not be submitted to matching engine
Test Order (TRADE) › Authorization
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Test Order (TRADE) › Request Body
symbolsidetypetimestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
positionSideDefault BOTH for One-way Mode ; LONG or SHORT for Hedge Mode. It must be sent in Hedge Mode.
reduceOnlyCannot be sent in Hedge Mode; cannot be sent with closePosition=true
quantityCannot be sent with closePosition=true(Close-All)
pricenewClientOrderIdA unique id among open orders. Automatically generated if not sent. Can only be string following the rule: ^[\.A-Z\:/a-z0-9_-]{1,36}$
stopPriceUsed with STOP/STOP_MARKET or TAKE_PROFIT/TAKE_PROFIT_MARKET orders.
closePositionClose-All,used with STOP_MARKET or TAKE_PROFIT_MARKET."
activationPriceUsed with TRAILING_STOP_MARKET orders, default as the latest price(supporting different workingType)
callbackRateUsed with TRAILING_STOP_MARKET orders
timeInForceworkingTypepriceProtectnewOrderRespTypepriceMatchonly avaliable for LIMIT/STOP/TAKE_PROFIT order; Can't be passed together with price
selfTradePreventionModeNONEEXPIRE_TAKEREXPIRE_MAKEREXPIRE_BOTHNONE
goodTillDateorder cancel time for timeInForce GTD, mandatory when timeInforce set to GTD; order the timestamp only retains second-level precision, ms part will be ignored; The goodTillDate timestamp must be greater than the current time plus 600 seconds and smaller than 253402300799000
recvWindowTest Order (TRADE) › Responses
Test Order
clientOrderIdClient Order Id.
cumQtycumQuoteCum Quote.
executedQtyExecuted Qty.
orderIdOrder Id.
avgPriceAvg Price.
origQtyOrig Qty.
pricePrice.
reduceOnlyReduce Only.
sideSide.
positionSidePosition Side.
statusStatus.
stopPriceplease ignore when order type is TRAILING_STOP_MARKET
closePositionif Close-All
symbolSymbol.
timeInForceTime In Force.
typeType.
origTypeOrig Type.
activatePriceactivation price, only return with TRAILING_STOP_MARKET order
priceRatecallback rate, only return with TRAILING_STOP_MARKET order
updateTimeUpdate Time.
workingTypeWorking Type.
priceProtectif conditional order trigger is protected
priceMatchprice match mode
selfTradePreventionModeself trading preventation mode
goodTillDateorder pre-set auot cancel time for TIF GTD order
User's Force Orders (USER_DATA)
Query user's Force Orders
User's Force Orders (USER_DATA) › Authorization
User's Force Orders (USER_DATA) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
20 with symbol, 50 without symbol
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Query Parameters
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
symbolautoCloseType"LIQUIDATION" for liquidation orders, "ADL" for ADL orders.
startTimeendTimelimitrecvWindowUser's Force Orders (USER_DATA) › Responses
User's Force Orders
orderIdsymbolstatusclientOrderIdpriceavgPriceorigQtyexecutedQtycumQuotetimeInForcetypereduceOnlyclosePositionsidepositionSidestopPriceworkingTypeorigTypetimeupdateTime